%define pkgname	libgnomedb
%define	major	4
%define name	gnome-db2.0
%define oname gnome-db
%define api 3.0
%define libname	%mklibname %{oname}%{api}_ %major 
%define libnamedev %mklibname -d %{oname}%{api}
%define gdaver 3.1.2

Summary:	GNOME DB
Name:		%name
Version: 3.1.2
Release: %mkrel 8
License:	GPLv2+ and LGPLv2+
Group: 		Databases
URL:		http://www.gnome-db.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 3.1.2-3mdv fix underlinking
Patch0:		libgnomedb-3.1.2-fixunderlinking.patch
Patch1:		libgnomedb-3.1.2-fix-str-fmt.patch
# gw build with graphviz 2.22
# http://bugzilla.gnome.org/show_bug.cgi?id=576045
Patch2: 	libgnomedb-3.1.2-graphviz-2.22.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnomeui2-devel
BuildRequires:	gda2.0-devel >= %gdaver
BuildRequires:	scrollkeeper
BuildRequires:	gtk-doc docbook-dtd412-xml
BuildRequires:	libglade2.0-devel
BuildRequires:	gtksourceview1-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:	glade3-devel >= 3.1.5
BuildRequires:	libgoocanvas-devel >= 0.9
BuildRequires:	libgraphviz-devel >= 2.22
BuildRequires:	imagemagick
BuildRequires:  desktop-file-utils
BuildRequires:  intltool

%description
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains the core components of GNOME-DB.

%package -n %{libname}
Summary:	GNOME DB libraries
Group: 		System/Libraries
Requires: %name >= %version

%description -n %{libname}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.


%package -n %{libnamedev}
Summary:	GNOME DB Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes: %mklibname -d %{oname}%{api}_ %major
Requires(post):		scrollkeeper
Requires(postun):		scrollkeeper

%description -n %{libnamedev}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains libraries, header files and tools to let
you develop GNOME-DB applications.


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .fixunderlinking
%patch1 -p0 -b .strfmt
%patch2 -p1

#needed by patch0
autoreconf -fi

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

#replace icon with correct name
sed -i -e 's/^Icon=gnome-db$/Icon=gnome-db2/g' $RPM_BUILD_ROOT%{_datadir}/applications/database-properties-3.0.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="GNOME" \
  --add-category="GTK" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir}
install -D -m 644 gnome-db.png $RPM_BUILD_ROOT%{_liconsdir}/gnome-db2.png
convert -geometry 32x32 gnome-db.png $RPM_BUILD_ROOT%{_iconsdir}/gnome-db2.png
convert -geometry 16x16 gnome-db.png $RPM_BUILD_ROOT%{_miconsdir}/gnome-db2.png

%{find_lang} %{pkgname}-%api --with-gnome

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a} \
       $RPM_BUILD_ROOT%{_libdir}/glade3/modules/*a \
       $RPM_BUILD_ROOT%{_libdir}/libgnomedb/plugins/*a

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%post_install_gconf_schemas libgnomedb-3.0
%endif

%preun
%preun_uninstall_gconf_schemas libgnomedb-3.0

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%if %mdkversion < 200900
%post -n %{libnamedev}
%update_scrollkeeper
%endif

%if %mdkversion < 200900
%postun -n %{libnamedev}
%clean_scrollkeeper
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
							  
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif
							  
%files -f %{pkgname}-%api.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS
%_sysconfdir/gconf/schemas/libgnomedb-3.0.schemas
%{_bindir}/*
%{_datadir}/pixmaps/*
%_libdir/glade3/modules/libgladegnomedb.so
%_datadir/glade3/
%dir %_datadir/gnome-db-%{api}/
%_datadir/gnome-db-%{api}/*.xml
%_datadir/gnome-db-%{api}/*.glade
%_datadir/applications/database-properties-3.0.desktop
%{_libdir}/libglade/2.0/*
%dir %{_libdir}/gnome-db-%{api}/
%{_libdir}/gnome-db-%{api}/plugins/
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgnomedb*-%{api}.so.%{major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%_datadir/gnome-db-%{api}/demo


%changelog
* Fri Mar 20 2009 Götz Waschk <waschk@mandriva.org> 3.1.2-8mdv2009.1
+ Revision: 359031
- patch for new graphviz
- fix build

* Fri Dec 19 2008 Funda Wang <fundawang@mandriva.org> 3.1.2-7mdv2009.1
+ Revision: 316046
- BR docbook-dtd412-xml
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Nov 10 2008 Funda Wang <fundawang@mandriva.org> 3.1.2-6mdv2009.1
+ Revision: 301673
- rebuild for new xcb

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 3.1.2-5mdv2009.0
+ Revision: 264248
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Frederic Crozat <fcrozat@mandriva.com> 3.1.2-3mdv2009.0
+ Revision: 212605
- Patch0: fix underlinking

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.2-2mdv2008.1
+ Revision: 148505
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 26 2007 Götz Waschk <waschk@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 102294
- bump deps
- new version

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 3.1.1-3mdv2008.0
+ Revision: 84391
- Fix categories in .desktop to only appear in Settings
- Fix missing icon for .desktop

* Fri Sep 07 2007 Götz Waschk <waschk@mandriva.org> 3.1.1-2mdv2008.0
+ Revision: 81440
- add dep on the main package to the library package

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 3.1.1-1mdv2008.0
+ Revision: 78335
- new version
- bump gda dep
- depend on graphviz and goocanvas
- new devel name
- update file list

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 3.0.0-3mdv2008.0
+ Revision: 54945
- fix buildrequires

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 3.0.0-2mdv2008.0
+ Revision: 37254
- rebuild

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 17771
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.99.6-1mdv2008.0
+ Revision: 14654
- new version
- drop sharp binding
- bump deps
- new api version


* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.99.5-1mdv2007.0
+ Revision: 120704
- drop patch, not needed with glade 3.1.5
- new version
- bump deps
- fix file list
- fix build with glade3

* Sat Jan 27 2007 Götz Waschk <waschk@mandriva.org> 2.99.3-1mdv2007.1
+ Revision: 114341
- new version
- bump deps
- drop patch
- update file list

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.99.2-1mdv2007.1
+ Revision: 103183
- fix buildrequires
- new version
- update file list
- bump deps
- patch for new glade3

* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 1.99.1-4mdv2007.1
+ Revision: 86526
- bot rebuild
- bot rebuild
- bot rebuild
- Import gnome-db2.0

* Wed Nov 22 2006 Gtz Waschk <waschk@mandriva.org> 1.99.1-1mdv2007.1
- update file list
- fix desktop entry
- bump deps
- New version 1.99.1

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 1.9.102-3mdv2007.0
- fix sharp package

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 1.9.102-2mdv2007.0
- enable mono
- xdg menu

* Sat Mar 25 2006 Gtz Waschk <waschk@mandriva.org> 1.9.102-1mdk
- update file list
- bump deps
- New release 1.9.102

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 1.9.100-2mdk
- Rebuild to remove howl dep

* Wed Feb 15 2006 Gtz Waschk <waschk@mandriva.org> 1.9.100-1mdk
- update file list
- add sharp package
- spec cleanup
- new major
- new version

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.2-2mdk
- Rebuild

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Thu Mar 03 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- New release 1.2.1

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk 
- Rebuild with latest howl

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- major 4
- New release 1.2.0

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.99-1mdk
- major 1
- requires new gda
- New release 1.1.99

* Mon Aug 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- New release 1.1.6

* Fri Jul 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- New release 1.1.5

* Sat Jul 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-2mdk
- Fix BuildRequires
- Fix icon name to not conflict with gnome-db 0.2.96

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.4-1mdk
- fix source URL
- New release 1.1.4

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 1.1.3-1mdk
- New version
- Use ImageMagick to convert icons
- Use UTF-8 for spec

* Wed Apr 28 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- build with evolution-data-server
- drop source 4
- new version

* Tue Apr 06 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- remove bonobo component (was removed)
- build with gtksourceview
- fix gtk-doc build
- enable gtk-doc
- requires new gda
- new version

